Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 225059 - new iThreads release
Summary: new iThreads release
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: perl
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Marcela Mašláňová
QA Contact: David Lawrence
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-01-28 12:59 UTC by Stephan Ebelt
Modified: 2008-03-20 13:14 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2008-03-20 13:14:06 UTC


Attachments (Terms of Use)

Description Stephan Ebelt 2007-01-28 12:59:25 UTC
Description of problem:

the currently shipped version of perl iThreads is 1.07. The most recent version
at CPAN is 1.58 (both numbers are taken from threads.pm file).

please upgrade the package.


Version-Release number of selected component (if applicable):

perl-5.8.8-10


Additional info:

see http://search.cpan.org/~jdhedden/threads-1.58/

Comment 1 Marius Feraru 2007-01-31 09:44:08 UTC
I really doubt there's anyone in Fedora team wanting to take the responsibility
to update threads in 5.8.x while NWCLARK doesn't seem to be doing anything in
this direction.
I'd suggest raising this topic on perl5-porters, maybe Nick has something to say
about this.

OT, OFC, bleadperl has a current version of threads (RGARCIA updated it to 1.58
in change 29973)

Comment 2 Marcela Mašláňová 2008-03-20 13:14:06 UTC
In perl-5.10 we have 1.67. It isn't the latest but I think it's enough.


Note You need to log in before you can comment on or make changes to this bug.